[PATCH] bash: Disable __git_ps1() if NO_GIT_PS1 is set

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



If the user works in a big repository on a slow USB disk or network
drive, __git_ps1() can result in a significant delay before the prompt
reappears. By setting the environment variable NO_GIT_PS1 to a nonempty
value, the use of __git_ps1() is temporarily disabled.

Signed-off-by: Ãyvind A. Holm <sunny@xxxxxxxxxxx>
---
 contrib/completion/git-completion.bash |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/contrib/completion/git-completion.bash b/contrib/completion/git-completion.bash
index 0df356d..ee8cef5 100755
--- a/contrib/completion/git-completion.bash
+++ b/contrib/completion/git-completion.bash
@@ -60,6 +60,11 @@
 #       per-repository basis by setting the bash.showUpstream config
 #       variable.
 #
+#       When working in a big repository on a slow USB disk or network
+#       drive, __git_ps1 may result in a noticeable delay before the prompt
+#       reappears.  To temporarily disable the use of __git_ps1, set
+#       NO_GIT_PS1 to a nonempty value.
+#
 #
 # To submit patches:
 #
@@ -225,6 +230,7 @@ __git_ps1_show_upstream ()
 # returns text to add to bash PS1 prompt (includes branch name)
 __git_ps1 ()
 {
+	[ -z "$NO_GIT_PS1" ] || return
 	local g="$(__gitdir)"
 	if [ -n "$g" ]; then
 		local r=""
-- 
1.7.5.185.g0b9dee

--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]